%define upstream_name    Email-LocalDelivery
%define upstream_version 1.200

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Deliver a piece of email - simply
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:  noarch

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Email::FolderType) >= 0.700.0
BuildRequires: perl(Email::Simple) >= 1.998.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Path::Expand) >= 1.10.0
BuildRequires: perl(Symbol)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(blib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-File-Path-Expand
%description
This module delivers an email to a list of mailboxes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.200.0-5.mga6
+ Revision: 1026903
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.200.0-4.mga6
+ Revision: 947043
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.200.0-3.mga5
+ Revision: 742620
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.200.0-2.mga5
+ Revision: 684619
- Mageia 5 Mass Rebuild

* Mon Mar 17 2014 jquelin <jquelin> 1.200.0-1.mga5
+ Revision: 604359
- update to 1.200

* Fri Mar 14 2014 jquelin <jquelin> 0.217.0-1.mga5
+ Revision: 603670
- adding missing buildrequires:
- imported package perl-Email-LocalDelivery

  + bcornec <bcornec>
    - The Build of perl-Email-LocalDelivery requires perl-File-Path-Expand for tests


* Mon May 16 2011 cpan2dist 0.217-1mga
- initial mageia release, generated with cpan2dist
